import { Component } from 'react';
import Link from 'next/link';
import translate from '@/config/translate';
import dynamic from "next/dynamic";
import { useRouter } from 'next/router'
// import { Themes } from "react-tradingview-widget";
const TradingViewWidget = dynamic(import("react-tradingview-widget"), {ssr: false});
// import TradingViewWidget, { Themes } from 'react-tradingview-widget';

// const LoginPage = dynamic(() => import("./contact-us"));
export default class Currencies extends Component {
    constructor(props){
      super(props);
      this.filterDo=this.filterDo.bind(this)
    }
    categorytoggle(e){
      $(e.currentTarget).toggleClass('active');
    }
    proprice(num,persian=true){
      let result = num.toString();
      result = result.replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ",");
      if(persian){
        var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
        result = result.replace(/[0-9]/g, function (w) {return id[+w];});
        if(result.includes('.')){ result = result.split('.')[0] }
      }
      return result;
    }
    prowage(string){
      let classbazi='isDown'
      if(!string.includes('-')){
          string='+'+string
          classbazi='isUp'
      }
      if(!string.includes('%')){ string+='%' }
      return <bdi className={classbazi}>{string}</bdi>
    }
    filterAction(e){
      $(e.currentTarget).toggleClass('active')
    }
    filterDo(e){
        const self = this
        const sort = $(e.currentTarget).data('sort')
        this.props.setSort(sort,()=>{
            self.setState({market:this.props.market})
        })
    }
    render(){
    const self = this
    const {status} = this.props
    let results = this.props.market
    if(this.props.results || this.props.search){ results = this.props.results }
    const iprops=translate[this.props.locale]
    // this.props.redirect('/contact-us');
    // return (<Redirect to="/"/>)
    // return (<LoginPage />)
    const nl2br = require('react-nl2br');
    return (<div className="masterMainContainer masterMainContainer-coins border-bottom">
      {/* <span>#tradingview_ee142-wrapper{height:400px}</span> */}
      <div className="masterTotal">
        <div className="masterRawCoinNumbers mt-0">
          <div className="masterRawCoinNumber">
            <span>حجم روزانه کل</span>
            <span><bdi>${self.proprice(status.total_volume,false)}</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>تغییر حجم روزانه</span>
            <span><bdi>{status.volume_change}%</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>مارکت کپ کل</span>
            <span><bdi>${self.proprice((status.total_marketcap)-((status.total_marketcap*19)/100),false)}</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>تغییر مارکت کپ</span>
            <span><bdi>{status.marketcap_change}%</bdi></span>
          </div>
        </div>

        {/* <div className="masterChart"> */}
        {/* <TradingViewWidget symbol="CRYPTOCAP:TOTAL" theme={Themes.DARK} autosize /> */}
        {/* {typeof window !== "undefined" && 
        <TradingViewWidget symbol="CRYPTOCAP:TOTAL" autosize hide_side_toolbar={false} allow_symbol_change={false} />
        } */}
        {/* </div> */}

        <div className="masterRawCoinNumbers mb-0">
          <div className="masterRawCoinNumber">
            <span>تعداد ارز های دیجیتال</span>
            <span><bdi>{self.proprice(status.coins_count,false)}</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>تعداد صرافی های فعال</span>
            <span><bdi>{self.proprice(status.active_markets,false)}</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>دامیننس بیتکوین</span>
            <span><bdi>{status.btc_dominance}%</bdi></span>
          </div>
          <div className="masterRawCoinNumber">
            <span>دامیننس اتریوم</span>
            <span><bdi>{status.eth_dominance}%</bdi></span>
          </div>
        </div>



      </div>
      <div className="masterSearchCoinsHeader" id="default">
      <div className="masterMainCoinsFilter">
          <span>مرتب سازی بر اساس:</span>
          <div className="masterMainCoinsFilterAction" onClick={self.filterAction}>
              <div className="masterMainCoinsFilterActionAbsolute">
                  <a onClick={self.filterDo} data-sort="default" className={self.props.sort=='default' ? 'active' : ''}>پیشفرض</a>
                  <a onClick={self.filterDo} data-sort="pricey" className={self.props.sort=='pricey' ? 'active' : ''}>بیشترین قیمت</a>
                  <a onClick={self.filterDo} data-sort="gainers" className={self.props.sort=='gainers' ? 'active' : ''}>بیشترین سود</a>
                  <a onClick={self.filterDo} data-sort="losers" className={self.props.sort=='losers' ? 'active' : ''}>بیشترین ضرر</a>
              </div>
          </div>
      </div>
      {/* <div className="masterMainCoinsTotal">{results ? self.proprice(results.length) : self.proprice(0)} رمز ارز</div> */}
      </div>
      <div className="masterMainCoins mt-0">
      <table border="none" className="only-x-desktop">
          <thead><tr><th>بازار</th><th>آخرین قیمت</th><th className="only-x-pc">تغییرات (24h)</th><th className="only-x-pc">حجم معاملات (24h)</th><th className="only-x-pc">مارکت کپ</th><th>عملیات</th></tr></thead>
          <tbody>
          {results ? Object(results).map((item,key)=>{
          return (<tr key={`market-tr-${key}`}>
              <td>
              <div className="masterMainCoinGroup">
                  <div className="masterMainCoinIcon"><img src={`/img/coin-${item.key.toLowerCase()}.svg`}/></div>
                  <div className="masterMainCoinName">
                  <h4><b>{item.key}</b>/USDT</h4>
                  <h5><b>{item.namepersian}</b>/تتر</h5>
                  </div>
              </div>
              </td>
              <td><bdi>$<b>{self.proprice(item.usd,false)}</b></bdi></td>
              {/* <td>{item['1w'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1w'])}</td> */}
              <td className="only-x-pc"><div className={`masterWage ${item['1d'].includes('-') ? 'isDown' : 'isUp'}`}>{item['1d'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1d'])}</div></td>
              <td className="only-x-pc">${self.proprice(item.volume)}</td>
              <td className="only-x-pc">${self.proprice(item.marketcap)}</td>
              <td>
              <div className="masterMainCoinAction">
                  <a href={`https://exchange.shift.ir/dashboard/buy_${item.key}`} className="masterBtn masterBtn-hover masterBtn-small"><span>خرید</span></a>
                  <a href={`https://exchange.shift.ir/dashboard/sell_${item.key}`} className="masterBtn masterBtn-hover masterBtn-small"><span>فروش</span></a>
                  <Link href={`/currencies/${item.key.toLowerCase()}`}><a className="masterBtn-hover masterBtn masterBtn-small masterBtn-blue">بررسی پروژه</a></Link>
              </div>
              </td>
          </tr>)
          }) : ''}
          </tbody>
      </table>
      {results ? Object(results).map((item,key)=>{
          return <div key={`market-coin-mobile-${key}`} className="masterCoin only-x-mobile">
              <img className="masterCoinWall" src={`/img/coin-${item.key.toLowerCase()}.svg`}/>
              <div className="masterCoinHeader">
                  <div className="masterMainCoinName"><h5>{item.namepersian}</h5><h4>{item.key}TC</h4></div>
                  <div className="masterMainCoinIcon"><img src={`/img/coin-${item.key.toLowerCase()}.svg`}/></div>
              </div>
              <div className="masterCoinMain">
                  <div className="masterMainCoinPrice">
                  <span><b>{self.proprice(item.price)}</b> تومان</span>
                  <span><bdi>$<b>{self.proprice(item.usd,false)}</b></bdi>{item['1w'].includes('-') ? <img src="/img/icon-trend-down.svg"/> : <img src="/img/icon-trend-up.svg"/>}{self.prowage(item['1w'])}</span>
                  </div>
                  <div className={`masterMainCoinGraph ${item['1w'].includes('-') ? 'isDown' : 'isUp'}`}><img src={item.graph} alt={`${item.name}-7d-price`}/></div>
              </div>
              <div className="masterCoinFooter">
                  <a href={`https://exchange.shift.ir/dashboard/buy_${item.key}`} className="masterMainCoinBuy masterBtn masterBtn-hover masterBtn-small masterBtn-green"><span>خرید</span></a>
                  <a href={`https://exchange.shift.ir/dashboard/sell_${item.key}`} className="masterMainCoinSell masterBtn masterBtn-hover masterBtn-small masterBtn-red"><span>فروش</span></a>
                  <Link href={`/currencies/${item.key.toLowerCase()}`}><a className="masterMainCoinLink masterBtn masterBtn-hover">تحلیل و بررسی پروژه</a></Link>
              </div>
          </div>
      }) : ''}
      </div>
      </div>);
    }
}  