import { Component } from 'react';
import Link from 'next/link';
import translate from '@/config/translate';
import dynamic from "next/dynamic";
import { useRouter } from 'next/router'
import { data } from 'jquery';
// import { Themes } from "react-tradingview-widget";
const TradingViewWidget = dynamic(import("react-tradingview-widget"), {ssr: false});
// import TradingViewWidget, { Themes } from 'react-tradingview-widget';

// const LoginPage = dynamic(() => import("./contact-us"));
export default class Currencies extends Component {
    constructor(props){
      super(props);
      this.filterDo=this.filterDo.bind(this)
    }
    categorytoggle(e){
      $(e.currentTarget).toggleClass('active');
    }
    proprice(num,persian=true){
      let result = num.toString();
      result = result.replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ",");
      if(persian){
        var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
        result = result.replace(/[0-9]/g, function (w) {return id[+w];});
        if(result.includes('.')){ result = result.split('.')[0] }
      }
      return result;
    }
    filterAction(e){
      $(e.currentTarget).toggleClass('active')
    }
    filterDo(e){
        const self = this
        const sort = $(e.currentTarget).data('sort')
        this.props.setSort(sort,()=>{
            self.setState({market:this.props.market})
        })
    }
    Summar(str){
      if(str){
        let string=str.toLowerCase().trim()
        switch(string){
            case 'overbought': string=<b style={{color:'#0b3'}}>خرید سنگین</b>;break;
            case 'strong buy': string=<b style={{color:'#0b3'}}>خرید سنگین</b>;break;
            case 'high volatility': string=<b style={{color:'#0b3'}}>نوسانات زیاد</b>;break;
            case 'strong sell': string=<b style={{color:'#f44'}}>فروش سنگین</b>;break;
            case 'less volatility': string=<b style={{color:'#f44'}}>نوسانات کم</b>;break;
            case 'buy': string=<b style={{color:'#0b3'}}>خرید</b>;break;
            case 'sell': string=<b style={{color:'#f44'}}>فروش</b>;break;
            case 'neutral': string=<b>طبیعی</b>;break;
        }
        return string;
      }else{
        return '-'
      }
    }
    render(){
    const self = this
    const {data} = self.props
    const nl2br = require('react-nl2br');
    return (<div className="masterMainContainer masterRawCoin border-bottom">
    <img className="masterRawCoinWall" src={`/img/coin-${data.key.toLowerCase()}.svg`}/>
      <div className="masterRawCoinHeader">
        <div className="masterRawCoinActions masterBtns">
            <a href={`https://exchange.shift.ir/dashboard/buy_${data.key}`} className="masterMainCoinBuy masterBtn masterBtn-small masterBtn-black"><span>خرید {data.namepersian}</span></a>
            <a href={`https://exchange.shift.ir/dashboard/sell_${data.key}`} className="masterMainCoinSell masterBtn masterBtn-small"><span>فروش {data.namepersian}</span></a>
        </div>
        <div className="masterRawCoinAvatar">
          <span>{data.name}</span>
          <img src={`/img/coin-${data.key.toLowerCase()}.svg`}/>
        </div>
      </div>
      <div className="masterRawCoinDescription">
        <p>{nl2br(data.description)}</p>
      </div>
      <div className="masterRawCoinLinks">
        {data.whitepaper ?<a className="masterRawCoinLink" href={data.whitepaper} target="_blank"><img src="/img/icon-archive-book.svg"/><span>وایت پیپر پروژه</span></a> : ''}
        {data.website ? <a className="masterRawCoinLink" href={data.website} target="_blank"><img src="/img/icon-global.svg"/><span>وبسایت شخصی</span></a> : ''}
        {data.twitter ? <a className="masterRawCoinLink" href={`https://twitter.com/${data.twitter}`} target="_blank"><img src="/img/icon-twitter.svg"/><span>توییتر</span></a> : ''}
        {data.reddit ? <a className="masterRawCoinLink" href={`https://reddit.com/r/${data.reddit}`} target="_blank"><img src="/img/icon-reddit.svg"/><span>رددیت</span></a> : ''}
      </div>
      <div className="masterRawCoinNumbers">
        <div className="masterRawCoinNumber">
          <span>قیمت</span>
          <span><bdi>${self.proprice(data.usd,false)}</bdi> ({self.proprice(data.price)} تومان)</span>
        </div>
        <div className="masterRawCoinNumber">
          <span>حجم روزانه</span>
          <span><bdi>${self.proprice(data.volume,false)}</bdi></span>
        </div>
        <div className="masterRawCoinNumber">
          <span>مارکت کپ</span>
          <span><bdi>${self.proprice(data.marketcap,false)}</bdi></span>
        </div>
        <div className="masterRawCoinNumber">
          <span>تعداد عرضه</span>
          <span><bdi>{self.proprice(data.supply,false)} {data.key}</bdi></span>
        </div>
      </div>
      <div className="masterChart">
        {/* <TradingViewWidget symbol="CRYPTOCAP:TOTAL" theme={Themes.DARK} autosize /> */}
        {typeof window !== "undefined" && 
        <TradingViewWidget symbol={`BINANCE:${data.key}USDT`} autosize hide_side_toolbar={false} allow_symbol_change={false} />
        }
      </div>
      {data.analysis ? (<>
      
      <div className="masterRawCoinAnalysisGroup">
        <div className="masterRawCoinAnalysisGroupRow">
          <div className="masterRawCoinAnalysis">
            <div className="masterRawCoinAnalysisTitle">{data.namepersian} در کندل ساعتی:</div>
            <div className="masterRawCoinAnalysisRow masterRawCoinAnalysisRowColumn">
              <div className="masterRawCoinAnalysisCol">خلاصه وضعیت: <span>{self.Summar(data.analysis.summary)}</span></div>
              <div className="masterRawCoinAnalysisCol">خلاصه اندیکاتور ها: <span>{self.Summar(data.analysis.TI_summary)}</span></div>
              <div className="masterRawCoinAnalysisCol">خلاصه مووینگ اوریج ها: <span>{self.Summar(data.analysis.MA_summary)}</span></div>
            </div>
          </div>
          <div className="masterRawCoinAnalysis masterRawCoinAnalysisFixed">
          <div className="masterRawCoinAnalysisTitle">مووینگ اوریج ها:</div>
            <div className="masterRawCoinAnalysisRow masterRawCoinAnalysisRowPrimary">
              <div className="masterRawCoinAnalysisCol">دوره</div>
              <div className="masterRawCoinAnalysisCol">تابع ساده</div>
              <div className="masterRawCoinAnalysisCol">تابع نمایی</div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA5</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA5_Simple_value} <span> ({self.Summar(data.analysis.MA5_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA5_Exponential_value} <span> ({self.Summar(data.analysis.MA5_Exponential_action)})</span></div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA10</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA10_Simple_value} <span> ({self.Summar(data.analysis.MA10_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA10_Exponential_value} <span> ({self.Summar(data.analysis.MA10_Exponential_action)})</span></div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA20</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA20_Simple_value} <span> ({self.Summar(data.analysis.MA20_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA20_Exponential_value} <span> ({self.Summar(data.analysis.MA20_Exponential_action)})</span></div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA50</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA50_Simple_value} <span> ({self.Summar(data.analysis.MA50_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA50_Exponential_value} <span> ({self.Summar(data.analysis.MA50_Exponential_action)})</span></div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA100</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA100_Simple_value} <span> ({self.Summar(data.analysis.MA100_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA100_Exponential_value} <span> ({self.Summar(data.analysis.MA100_Exponential_action)})</span></div>
            </div>
            <div className="masterRawCoinAnalysisRow">
              <div className="masterRawCoinAnalysisCol">MA200</div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA200_Simple_value} <span> ({self.Summar(data.analysis.MA200_Simple_action)})</span></div>
              <div className="masterRawCoinAnalysisCol">{data.analysis.MA200_Exponential_value} <span> ({self.Summar(data.analysis.MA200_Exponential_action)})</span></div>
            </div>
          </div>
        </div>
        <div className="masterRawCoinAnalysisGroupRow">
        <div className="masterRawCoinAnalysis masterRawCoinAnalysisFixed">
          <div className="masterRawCoinAnalysisTitle">تکنیکال اندیکاتور ها:</div>
          <div className="masterRawCoinAnalysisRow masterRawCoinAnalysisRowPrimary">
            <div className="masterRawCoinAnalysisCol">عنوان اندیکاتور</div>
            <div className="masterRawCoinAnalysisCol">مقدار</div>
            <div className="masterRawCoinAnalysisCol">عملیات</div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">RSI (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_RSI_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_RSI_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">STOCH (9,6)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_STOCH_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_STOCH_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">STOCHRSI (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_STOCHRSI_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_STOCHRSI_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">MACD (12,26)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_MACD_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_MACD_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">ADX (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_ADX_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_ADX_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">Williams %R</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_WilliamsR_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_WilliamsR_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">CCI (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_CCI_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_CCI_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">ATR (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_ATR_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_ATR_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">Highs/Lows (14)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_HighsLows_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_HighsLows_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">Ultimate Oscillator</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_UltimateOscillator_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_UltimateOscillator_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">ROC</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_ROC_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_ROC_action)}</span></div>
          </div>
          <div className="masterRawCoinAnalysisRow">
            <div className="masterRawCoinAnalysisCol">Bull/Bear Power (13)</div>
            <div className="masterRawCoinAnalysisCol"><span><bdi>{data.analysis.TI_BullBearPower_value}</bdi></span></div>
            <div className="masterRawCoinAnalysisCol"><span>{self.Summar(data.analysis.TI_BullBearPower_action)}</span></div>
          </div>
        </div>
        </div>
      </div>
      </>) : ''}
      


      
      </div>);
    }
}  