import Head from 'next/head'
import { useRouter } from 'next/router'
import { useState, useEffect } from 'react'
import { marketAPI } from '../lib/data'
import moment from 'jalali-moment';
import Link from 'next/link';
import { timers } from 'jquery';
import { EXCHANGE_URL } from '../config'
import Cookies from 'universal-cookie';
const cookies = new Cookies();
const CryptoJS = require("crypto-js");
const quotes=[
  // بسم الله رحمن رحیم
  ['اَلزّاهِدُ فِی الدُّنْیا مَنْ لَمْ یَغْلِبِ الْحَرامُ صَبْرَهُ، وَ لَمْ یَشْغَلِ الْحَلالُ شُکْرَهُ','زاهد در دنیا کسی است که حرام بر صبرش غلبه نکند، و حلال از شکرش باز ندارد.'],
  ['اَحْبِبْ حَبیبَکَ هَوْنًا ما عَسی اَنْ یَعْصِیَکَ یَوْمًا ما؛ وَ اَبْغِضْ بَغیضَکَ هَوْنًا ما عَسی اَنْ یَکُونَ حَبیبَکَ یَوْمًا ما','با دوستت آرام بیا، بسا که روزی دشمنت شود، و با دشمنت آرام بیا، بسا که روزی دوستت شود.'],
  ['قیمَهُ کُلِّ امْرِء ما یُحْسِنُ','ارزش هر کسی آن چیزی است که نیکو انجام دهد.'],
  ['لاَ تَتَّخِذَنَّ عَدُوَّ صَدیقِکَ صَدیقًا فَتَعْدی صَدیقَکَ','با دشمنِ دوستت دوست مشو که [با این کار] با دوستت دشمنی میکنی.'],
  ['اَلصَّبْرُ ثَلاثَهٌ: اَلصَّبْرُ عَلَی الْمُصیبَهِ، وَ الصَّبْرُ عَلَیالطّاعَهِ، وَ الصَّبْرُ عَلَی الْمَعْصِیَهِ','صبر بر سه گونه است: صبر بر مصیبت، و صبر بر اطاعت، و صبر بر [ترک] معصیت.'],
  ['ما حارَ مَنِ اسْتَخارَ، وَ لا نَدِمَ مَنِ اسْتَشارَ','هر که خیر جوید سرگردان نشود، و کسی که مشورت نماید پشیمان نگردد.'],
  ['اَلْعِلْمُ ثَلاثَهٌ: اَلْفِقْهُ لِلاَْدْیانِ، وَ الطِّبُّ لِلاَْبْدانِ،وَ النَّحْوُ لِلِّسانِ','دانش سه قسم است: فقه برای دین، و پزشکی برای تن، و نحو برای زبان.'],
  ['تَکَلَّمُوا فِی الْعِلْمِ تَبَیَّنَ اَقْدارُکُمْ','عالمانه سخن گویید تا قدر شما روشن گردد.'],
  ['لا تُحَدِّثْ نَفْسَکَ بِفَقْر وَ لا طُولِ عُمْر','فقر و تنگدستی و طول عمر را به خود تلقین نکن.'],
  ['اَلْفَقْرُ الْمَوْتُ الاَْکْبَرُ، وَ قِلَّهُ الْعِیالِ اَحَدُ الْیَسارَیْنِ وَ هُوَ نِصْفُ الْعَیْشِ','فقر و نداری بزرگترین مرگ است! و عائله کم یکی از دو توانگری است، که آن نیمی از خوشی است.'],
  ['اَهْلَکَ النّاسَ إِثْنانِ: خَوْفُ الْفَقْرِ وَ طَلَبُ الْفَخْرِ','دو چیز مردم را هلاک کرده: ترس از نداری و فخرطلبی.'],
  ['اَلْعامِلُ بِالظُّلْمِ وَ المُعینُ عَلَیْهِ وَ الرّاضِیُ بِهِ شُرَکاءُ ثَلاثَهٌ','شخص ستمکار و کمک کننده بر ظلم و آن که راضی به ظلم است، هر سه با هم شریکاند.'],
  ['ذَلِّلُوا اَخْلاقَکُمْ بِالَْمحاسِنِ، وَ قَوِّدُوها إِلَی الْمَکارِمِ. وَ عَوِّدُوا اَنْفُسَکُمُ الْحِلْمَ','اخلاق خود را رامِ خوبی ها کنید و به بزرگواری هایشان بکشانید و خود را به بردباری عادت دهید.'],
  ['کُنْ فِی الْفِتْنَهِ کَابْنِ اللَّبُونِ; لا ظَهْرٌ فَیُرْکَبَ، وَ لا ضَرْعٌ فَیُحْلَبَ','هنگام فتنه چون شتر دو ساله باش که نه پشتی دارد تا سوارش شوند و نه پستانی تا شیرش دوشند.'],
  ['مِنْ کَفّاراتِ الذُّنُوبِ الْعِظامِ إِغاثَهُ الْمَلْهُوفِ وَ التَّنْفیسُ عَنِ الْمَکْرُوبِ','از کفّاره گناهان بزرگ، فریاد خواه را به فریاد رسیدن، و غمگین را آسایش بخشیدن است.'],
  ['اُذْکُرُوا انقِطاعَ اللَّذّاتِ وَ بَقاءَ التَّبِعاتِ','به یاد آرید که لذّتها تمام شدنی است و پایان ناگوار آن بر جای ماندنی.'],
  ['فی صِفَهِ الدُّنْیا: تَغُرُّ وَ تَضُرُّ وَ تَمُرُّ','در صفت دنیا فرموده است: میفریبد، زیان میرساند و میگذرد.'],
  ['مَنْ طَلَبَ شَیْئاً نالَهُ اَوْ بَعْضَهُ',' هر که جوینده چیزى باشد، به تمام آن یا به قسمتى از آن مى‌رسد.'],
  ['اَکْبَرُ الْعَیْبِ اَنْ تَعیبَ ما فیکَ مِثْلُهُ',' بزرگترین عیب آن است که صفتى را عیب دانى که مانند آن در خودت باشد.'],
  ['مَنْ نَظَرَ فى عَیْبِ نَفْسِهِ اشْتَغَلَ عَنْ عَیْبِ غَیْرِهِ',' آن که در عیب خود نظر کند از نظر در عیب دیگران بازماند.'],
  ['اَشَدُّ الذُّنُوبِ مَا اسْتَهانَ بِهِ صاحِبُهُ',' سخت‌ترین گناهان گناهى است که گنهکار آن را ناچیز بشمارد.'],
  ['مَنْ حاسَبَ نَفْسَهُ رَبِحَ، وَ مَنْ غَفَلَ عَنْها خَسِرَ',' کسى که خود را محاسبه کرد سود برد، و هر که از خود بى‌خبر ماند زیان دید.'],
  ['الدُّنْیا دارُ مَمَرٍّ لا دارُ مَقَرٍّ',' دنیا خانه گذر است نه جاى ماندن.'],
  ['الْقَناعَةُ مالٌ لایَنْفَدُ',' قناعت گنجى است که تمام نمى‌شود.'],
  ['لاغِنى کَالْعَقْلِ، وَ لافَقْرَ کَالْجَهْلِ، وَلامیراثَ کَالاَْدَبِ، وَلاظَهیرَ کَالْمُشاوَرَةِ',' ثروتى، چون عقل، و فقرى، چون جهل، و میراثى، چون ادب، و پشتیبانى همچون مشورت نیست.'],
  ['وَالْفُرْصَةُ تَمُرُّ مَرَّ السَّحابِ، فَانْتَهِزُوا فُرَصَ الْخَیْرِ',' فرصت به مانند ابر گذرا مى‌گذرد، پس فرصت‌هاى نیک را غنیمت دانید.'],
  ['قیمَهُ کُلِّ امْرِء ما یُحْسِنُ',' ارزش هر کسی آن چیزی است که نیکو انجام دهد.'],
  ['اِذا وَصَلَتْ اِلَیْکُمْ اَطْرافُ النِّعَمِ، فَلاتُنَفِّرُوا اَقْصا‌ها بِقِلَّةِ الشُّکْرِ',' زمانى که مقدمات نعمت‌ها به شما رسید، در نهایت آن را با کم‌شکری از خود مرانید.'],
  ['حَسِّنْ خُلْقَكَ يُخَفِّفِ اللّه‏ُ حِسابَكَ','اخلاقت را خوب كن تا خداوند حسابت را آسان گرداند.'],
  ['الصَّبْرُ مِفْتاحُ الدَّرْكِ وَالنُّجْحُ عُقْبَی مَنْ صَبَرَ','صبر، كليد رسيدن است و كاميابی سرانجام كسی است كه شکیبایی می‌ورزد.'],
  ['غایَةُ الْعَدْلِ أنْ یَعْدِلَ الْمَرْءُ في نَفْسِهِ','نهایت عدالت آن است که آدمی با خودش به عدالت رفتار کند.'],
  ['اَلْمُومِنُ مِثْلُ کَفَّتی الْمیزانِ کُلَّما زیدَ فی ایمانِهِ زیدَ فی بَلائِهِ','مؤمن همانند دو کفه ترازوست. هرگاه به ایمانش افزوده گردد، به بلایش نیز افزوده می گردد.'],
  ['السُّكْرُ أرْبَعُ السُّكْراتِ: سُكْرُ الشَّرابِ، وَسُكْرُ الْمالِ، وَسُكْرُ النَّوْمِ، وَسُكْرُ الْمُلْكِ','مستی در چهار چيز است: مستی از شراب (و خمر)، مستی مال و ثروت، مستی خواب، مستی رياست و مقام.'],
  ['صِلَةُ الرَّحِمِ تُدِرُّ النِّعَمَ وَتَدفَعُ النِّقَمَ','صله رحم نعمت ها را فراوان مى كند و سختى ها را از بين مى برد.'],
  ['أصحابُ المَهدِيِّ شَبابٌ لاكُهُولَ فيهِم','ياران مهدى جوان‏اند و ميان‏سالى در ميان آنان نيست.'],
];
const toPersianDigits = (str) => {str=str.toString();var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];return str.replace(/[0-9]/g, function (w) {return id[+w];});}
const Master = ({children,config,auth,market,results,title,setResults,setSearch,search,loading,locale}) => {
  const router = useRouter()
  const upper = () => {
    $("html, body").animate({ scrollTop: 0 },300);
  }
  const [clock, setClock] = useState(['00','00','00'])
  const [quote, setQuote] = useState(['...','...'])
  const [fullscreen, setFullscreen] = useState(false)
  const backward = () => router.back()
  const searchClose = () => {$('body').removeClass('onSearch readyforSearch');$('.masterMainHeaderSearch input').val('');setSearch('');setResults(false)}
  const searchCore = e => {
    let seval=$(e.currentTarget).val()
    if(seval.trim()==''){seval=''}else{seval=seval.toLowerCase()}
    if(seval==''){
      $('body').removeClass('onSearch')
    }else{
      $('body').addClass('onSearch')
    }
    const seturn = market.filter((item)=>{
      return (item['key'].toLowerCase().indexOf(seval) > -1) || (item['namepersian'].toLowerCase().indexOf(seval) > -1) || (item['name'].toLowerCase().indexOf(seval) > -1)
    })
    if(seturn.length==0){setResults(false)}else{setResults(seturn)}
    setSearch(seval)
  }
  const mobileSearchToggle = () => {if(!$('body').hasClass('readyforSearch')){$('body').addClass('readyforSearch');$('.superheader-search input').focus()}else{searchClose();$('body').removeClass('readyforSearch')}}
  const onScroll = () => {
    const { pageYOffset, scrollY } = window;
    // if(scrollY>30){ searchClose() }
  }
  const proprice = (num,persian=true) => {
    let result = num.toString();
    result = result.replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,');
    if(persian){
      var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
      result = result.replace(/[0-9]/g, function (w) {return id[+w];});
      if(result.includes('.')){ result = result.split('.')[0] }
    }
    return result;
  }
  const prowage = (string) => {
    let classbazi='isDown'
    if(!string.includes('-')){
        string='+'+string
        classbazi='isUp'
    }
    if(!string.includes('%')){ string+='%' }
    return <bdi className={classbazi}>{string}</bdi>
  }
  const toggleFullScreen = () => {
    if (!document.fullscreenElement &&    // alternative standard method
     !document.mozFullScreenElement && !document.webkitFullscreenElement) {  // current working methods
      if (document.documentElement.requestFullscreen) {
        document.documentElement.requestFullscreen();
      } else if (document.documentElement.mozRequestFullScreen) {
        document.documentElement.mozRequestFullScreen();
      } else if (document.documentElement.webkitRequestFullscreen) {
        document.documentElement.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
      }
      setFullscreen(true)
    } else {
       if (document.cancelFullScreen) {
          document.cancelFullScreen();
       } else if (document.mozCancelFullScreen) {
          document.mozCancelFullScreen();
       } else if (document.webkitCancelFullScreen) {
         document.webkitCancelFullScreen();
       }
       setFullscreen(false)
    }
  }
  // toFarsiNumber(n) {const farsiDigits = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];return n.toString().split('').map(x => farsiDigits[x]).join('');}
  //   toEnglishDigits(str){var id = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];return str.replace(/[0-9]/g, function (w) {return id[+w];});}
  //   numberWithCommas(x){return this.toEnglishDigits(x.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,'));}
    
  // const marketSYNC = async () => {
  //   // let result = ;
  //   await marketAPI('1','2').then((data)=>{
  //     data
  //   })
  //   result = JSON.parse(result);
  //   return result;
  // }
  useEffect(()=>{
    // const salt = Date.now()
    // const token = window.btoa(salt+'313');
    // const token = CryptoJS.MD5(salt+'313').toString();
    // console.log(token)
    // marketAPI(salt,token).then((data)=>{
    //   console.log(data)
    //   if(!data.error){ setMarket(data.market) }
    // })
    // setMarket();
    const defaultTheme=cookies.get('theme-type')
    const defaultColor=cookies.get('theme-color')
    if(defaultTheme){
        $('body').addClass('theme-'+defaultTheme+' theme-'+defaultTheme+'-'+defaultColor);
        $('.masterUserFooterThemeColor, .masterUserFooterThemeBtn').removeClass('active');
        $('.masterUserFooterThemeColor-'+defaultColor+', .masterUserFooterThemeBtn-'+defaultTheme).addClass('active');
    }else{ $('body').addClass('theme-light theme-light-pure'); }
    $(document).on('click','.masterUserFooterThemeToggle',()=>$('.masterUserFooter').addClass('active'))
    $(document).on('click','.masterUserFooterThemeBack',()=>$('.masterUserFooter').removeClass('active'))
    $(document).on('click','.masterUserFooterThemeBtn',(e)=>{
      const theme=$(e.currentTarget).data('theme')
      const color=$('.masterUserFooterThemeColor.active').data('theme')
      $('.masterUserFooterThemeBtn').removeClass('active');
      $(e.currentTarget).addClass('active')
      $('body').removeClass('theme-light theme-dark theme-light-pure theme-light-red theme-light-orange theme-light-blue theme-light-green theme-light-pink theme-light-purple theme-light-brown theme-dark-pure theme-dark-red theme-dark-orange theme-dark-blue theme-dark-green theme-dark-pink theme-dark-purple theme-dark-brown').addClass('theme-'+theme+' theme-'+theme+'-'+color)
      cookies.set('theme-type',theme,{domain:'.shift.ir'});
      cookies.set('theme-color',color,{domain:'.shift.ir'});
    })
    $(document).on('click','.masterUserFooterThemeColor',(e)=>{
      const color=$(e.currentTarget).data('theme')
      const theme=$('.masterUserFooterThemeBtn.active').data('theme')
      $('.masterUserFooterThemeColor').removeClass('active');
      $(e.currentTarget).addClass('active')
      $('body').removeClass('theme-light theme-dark theme-light-pure theme-light-red theme-light-orange theme-light-blue theme-light-green theme-light-pink theme-light-purple theme-light-brown theme-dark-pure theme-dark-red theme-dark-orange theme-dark-blue theme-dark-green theme-dark-pink theme-dark-purple theme-dark-brown').addClass('theme-'+theme+' theme-'+theme+'-'+color)
      cookies.set('theme-type',theme,{domain:'.shift.ir'});
      cookies.set('theme-color',color,{domain:'.shift.ir'});
    })
    $(document).on('click','.masterMenuToggle',(e)=>{
      $('body').addClass('fullmenu-active')
    })
    $(document).on('click','.fullmenuLink-close,.fullmenuCloser',(e)=>{
      $('body').removeClass('fullmenu-active')
    })
    setInterval(()=>{
      const glock = new Date();
      setClock([String(glock.getHours()).padStart(2,'0'),String(glock.getMinutes()).padStart(2,'0'),String(glock.getSeconds()).padStart(2,'0')]);
    },1000)
    setQuote(quotes[Math.floor(Math.random() * quotes.length)]);
    if(typeof document !== 'undefined'){ window.addEventListener("scroll", onScroll, { passive: true }); }
    return () => {
      if(typeof document !== 'undefined'){ window.removeEventListener("scroll", onScroll, { passive: true }); }
    }
  },[setClock,setQuote,cookies])
  return (
    <>
    <div id="app" className={`app${router.route=='/' ? '-home' : router.route.replace('/','-').replace(' ','-')} ${loading ? loading==7 ? 'superloading loading ' : 'loading ' : ''}${locale}`}>
      <Head>
        <meta name="csrf-token" content=" Reality is wrong. Dreams are for real. " />
        <meta name="robots" content="index,follow" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="apple-mobile-web-app-title" content="SHIFT" />
        <meta name="apple-mobile-web-app-status-bar-style" content="default" />
        <meta name="theme-color" content="#333a97" />
        <link rel="apple-touch-icon" href="/img/icon-512.png" />
        <link rel="apple-touch-icon" sizes="152x152" href="/img/icon-152.png" />
        <link rel="apple-touch-icon" sizes="180x180" href="/img/icon-180.png" />
        <link rel="apple-touch-icon" sizes="167x167" href="/img/icon-167.png" />
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-640x1136.png" media="(device-width:  320px) and (device-height:  568px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/> 
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-750x1334.png" media="(device-width:  375px) and (device-height:  667px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-828x1792.png" media="(device-width:  414px) and (device-height:  896px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1125x2436.png" media="(device-width:  375px) and (device-height:  812px) and (-webkit-device-pixel-ratio: 3) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1242x2208.png" media="(device-width:  414px) and (device-height:  736px) and (-webkit-device-pixel-ratio: 3) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1242x2688.png" media="(device-width:  414px) and (device-height:  896px) and (-webkit-device-pixel-ratio: 3) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1536x2048.png" media="(device-width:  768px) and (device-height: 1024px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1668x2224.png" media="(device-width:  834px) and (device-height: 1112px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-1668x2388.png" media="(device-width:  834px) and (device-height: 1194px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="apple-touch-startup-image" href="/img/apple-lunch-image-2048x2732.png" media="(device-width: 1024px) and (device-height: 1366px) and (-webkit-device-pixel-ratio: 2) and (orientation: portrait)"/>
        <link rel="icon" href="/favicon.ico" type="image/x-icon" />
        <link rel="manifest" href="/manifest.json" />
      </Head>
      <div className="loadinginner"></div>
      <div className="wallpaper">
        <div className="firstball"></div>
        <div className="secondball"></div>
      </div>
      <div className="superheader">
        {/* <div className="masterMenuToggle"><img src="/img/icon-menu.svg"/></div> */}
        <a href={EXCHANGE_URL+'/profile'} className="masterUserAvatar"><div className="masterUserAvatarPicture"><img className="masterUserAvatarPicture-guest" src="/img/icon-user.svg"/></div></a>
        <Link href="/"><a className="superheaderLogo ml-0"><img src="/img/logo-v2-full.svg" draggable="false"/></a></Link>
        {/* <div className="superheaderBtn"><img src="/img/icon-notification.svg"/><span>۰</span></div> */}
        {/* <div className="superheaderBtn" onClick={mobileSearchToggle}><img src="/img/icon-search.svg"/></div> */}
      </div>
      <div className="superheader-clear"></div>
      <div className="superheader-search">
        <input type="text" value={search} onChange={searchCore} placeholder="کوین، توکن یا شبکه را جستجو کنید..." />
        <div className="masterMainHeaderSearchReset" onClick={searchClose}><img src="/img/icon-close-square.svg"/><span>بستن جستجو</span></div>
      </div>
      <div className="superheader-search-overlay" onClick={searchClose}></div>
      <div className="only-mobile supermarquee">
        {/* <marquee direction="right" width="100%" behavior="scroll" loop="infinite" scrollamount="3"><p>
          امروز: {toPersianDigits(moment().locale('fa').format('dddd، D MMMM YYYY'))}
          <span>،</span> {clock[0]}:{clock[1]}:{clock[2]} <span>،</span>
          <bdi>{moment().locale('en').format('D / MMMM / Y')}</bdi>
          <span>،</span>
          قال امیرالمومنین (ع): {quote[1]}
        </p></marquee> */}
        <div className="staticmarquee">شیفت، در هر زمان پاسخگوی شماست</div>
        <div className="supermarqueeCall">
          <img src="/img/icon-24.svg"/>
          <span><bdi>021 9000 8000</bdi></span>
        </div>
      </div>
      {/* <Nav locale={locale} config={config} /> */}
      <div className="masterMain">
      <div className="masterMainHeader masterMainHeaderV2">
        <div className="masterMenuToggle"><img src="/img/icon-menu.svg"/></div>    
        <Link href="/">
        <a className="masterMainHeaderLogo">
          <img className="masterMenuHeaderLogo" src="/img/logo-v2-full.svg" draggable="false"/>
        </a>
        </Link>
        <div className="masterMainHeaderMenu">
          <Link href="/"><a className={router.route=='/' ? ' active' : ''}>صفحه نخست</a></Link>
          <Link href="/news"><a className={router.route.includes('/news') ? ' active' : ''}>اخبار</a></Link>
          <a href="#faq">سوالات متداول</a>
          <Link href="/about"><a className={router.route=='/about' ? ' active' : ''}>درباره شیفت</a></Link>
        </div>
        <div className="masterMainHeaderV2Portal masterBtns">
          <a href="https://exchange.shift.ir/login" className="masterBtn">ورود</a>
          <a href="https://exchange.shift.ir/register" className="masterBtn masterBtn-blue">ثبت نام</a>
        </div>
        {/* <div className="masterMainHeaderSearch">
          <input type="text" value={search} onChange={searchCore} placeholder="" />
          <div className="masterMainHeaderIcon"><img src="/img/icon-search.svg"/></div>
          <div className="masterMainHeaderSearchReset" onClick={searchClose}><img src="/img/icon-close-square.svg"/><span>بستن جستجو</span></div>
          <div className="masterMainHeaderText">
            <div className="masterMainHeaderPlaceholder">کوین، توکن یا شبکه را جستجو کنید...</div>
            <div className="masterMainHeaderExample">مثال: بایننس اسمارت چین</div>
          </div>
        </div> */}
        <div className="masterMainHeaderSupport">
          <img src="/img/icon-24.svg"/>
          <span><bdi>021 9000 8000</bdi></span>
        </div>
      </div>
      {router.route!='/' & (router.route=='/rules' || router.route=='/tutorials' || router.route.includes('/currencies') || router.route.includes('/news') || router.route=='/about') ? (<div className="masterRoad">
        <a className="masterBack" onClick={backward}><span>بازگشت</span></a>
        <Link href="/">خانه</Link>
        {router.route.includes('/tutorials') ? (<a className="active">آموزش</a>) : ''}
        {router.route.includes('/news') ? (<Link href="/news"><a className="active">اخبار</a></Link>) : ''}
        {router.route.includes('/news') & router.query.hasOwnProperty('id') ? (<a className="active">{title}</a>) : ''}
        {router.route=='/about' ? (<a className="active">درباره</a>) : ''}
        {router.route=='/rules' ? (<a className="active">قوانین و مقررات</a>) : ''}
        {router.route.includes('/currencies') ? (<Link href="/currencies" className="active">ارز های دیجیتال</Link>) : ''}
        {router.route.includes('/currencies') & router.route!='/currencies' ? (<a className="active">{title}</a>) : ''}
      </div>) : ''}
      {children}
      {/* <div className="masterMainContainer masterMainContainer-overflow only-x-desktop">
        <h3 className="masterTitle"><div className="masterTitleWall"><img src="/img/icon-mobile.svg"/></div><img src="/img/icon-mobile.svg"/><span>شیفت در موبایل</span></h3>
        <div className="masterMainMobile">
          <div className="masterMainMobilePart masterMainMobileContent"><p>این پلفترم بصورت وب اپلیکیشن طراحی شده و در تمامی دستگاه های متصل به اینترنت قابل اجرا میباشد، تنها کافیست بارکد مربوطه را با دستگاه مورد نظر اسکن کنید و به راحتی اقدام به خرید و فروش کنید.<br/>لورم اپیسوم همیشه تنهاست.</p><div className="masterBtn masterBtn-hover">راهنمای نصب</div></div>
          <div className="masterMainMobilePart masterMainMobileIos">
            <div className="masterMainMobileScan"><img src="/img/barcode-android.png"/></div>
          </div>
          <div className="masterMainMobilePart masterMainMobileAndroid">
            <div className="masterMainMobileScan"><img src="/img/barcode-ios.png"/></div>
          </div>
        </div>
      </div> */}
        {/* <div className="masterUserFooterResponsive">
          <div className="masterUserFooterThemeColors">
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-pure active" data-theme="pure"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-orange" data-theme="orange"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-red" data-theme="red"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-blue" data-theme="blue"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-green" data-theme="green"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-pink" data-theme="pink"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-purple" data-theme="purple"></div>
          <div className="masterUserFooterThemeColor masterUserFooterThemeColor-brown" data-theme="brown"></div>
          </div>
          <div className="masterUserFooterThemeSelector">
            <div className="masterUserFooterTheme">
              <div className="masterUserFooterThemeBtn masterUserFooterThemeBtn-light masterBtn active" data-theme="light"><img src="/img/icon-sun.svg"/><span>لایت</span></div>
              <div className="masterUserFooterThemeBtn masterUserFooterThemeBtn-dark masterBtn" data-theme="dark"><img src="/img/icon-moon.svg"/><span>دارک</span></div>
            </div>
          </div>
        </div> */}
      </div>
      {/* <Footer locale={locale} config={config} pages={pages} blog={blog} /> */}
      {/* <Standalone/> */}
    </div>
    <footer>
      <div className="footerArea">
        <div className="footerAreaLinks footerAreaCenter">
          <div className="footerAreaLinksPart">
            <h5>شیفت در یک نگاه</h5>
            <p>سامانه مبادله رمزارز شیفت پلتفرمی امن برای خرید و فروش بیت‌کوین و بیش از ۵۰ رمزارز معتبر بازار است؛ هدف ما در شیفت ایجاد فضای امن، سریع و کاربرپسند برای خرید و فروش رمزارزهاست.</p>
            <div className="masterBtns">
              <Link href="/about"><a className="masterBtn masterBtn-white masterBtn-hover"><img src="/img/icon-about.svg"/><span>بیشتر بدانید</span></a></Link>
              <a href="https://exchange.shift.ir" className="masterBtn masterBtn-maincolor"><span>پنل کاربری</span></a>
            </div>
          </div>
          <div className="footerAreaLinksPart">
            <h5>ارتباط با شیفت</h5>
            <Link href="tel:+982190008000"><a className="masterBtn masterBtn-hover"><img src="/img/icon-call.svg"/><span><bdi>021 9000 8000</bdi></span></a></Link>
            <Link href="https://telegram.me/shiftdotir"><a className="masterBtn masterBtn-hover"><img src="/img/icon-telegram.svg"/><span>تلگرام: shiftdotir</span></a></Link>
            <Link href="https://instagram.com/shiftdotir"><a className="masterBtn masterBtn-hover"><img src="/img/icon-instagram.svg"/><span>اینستاگرام: shiftdotir</span></a></Link>
          </div>
          <div className="footerAreaLinksPart">
            <h5>لینک های داخلی</h5>
            <Link href="/about"><a className="masterBtn-hover"><span>معرفی به دوستان</span></a></Link>
            <Link href="/rules"><a className="masterBtn-hover"><span>قوانین و مقررات</span></a></Link>
            <Link href="/about"><a className="masterBtn-hover"><span>درباره شیفت</span></a></Link>
          </div>
        </div>
        <div className="footerAreaCopyright">
        © تمام حقوق مادی و معنوی این پلتفرم متعلق به شیفت می‌باشد.
        </div>
        <div className="supermenu-clear only-mobile"></div>
      </div>
    </footer>
    <div className="supermenu only-mobile">
        <a className={`supermenuItem`}>
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon pb-1"><img src="/img/icon-loading.svg"/></div>
          <span>پشتیبانی</span>
        </a>
        <Link href="/"><a className={`supermenuItem${router.route=='/' ? ' active' : ''}`}>
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon"><img src="/img/icon-home.svg"/></div>
          <span>خانه</span>
        </a></Link>
        <a href="//exchange.shift.ir" className="supermenuItem">
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon"><img src="/img/icon-exchange.svg"/></div>
          <span>صرافی</span>
        </a>
        <Link href="/news"><a className={`supermenuItem${router.route.includes('/news') ? ' active' : ''}`}>
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon"><img src="/img/icon-news.svg"/></div>
          <span>اخبار</span>
        </a></Link>
          {/* <Link href="/tutorials"><a className={`supermenuItem${router.route=='/tutorials' ? ' active' : ''}`}>
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon"><img src="/img/icon-video-square.svg"/></div>
          <span>آموزش</span>
          </a></Link> */}
        <Link href="/about"><a className={`supermenuItem${router.route=='/about' ? ' active' : ''}`}>
          <div className="supermenuItemHover"></div>
          <div className="supermenuItemIcon"><img src="/img/icon-about.svg"/></div>
          <span>درباره</span>
        </a></Link>
    </div>
    <div className="masterloading masterloadingV2">
      <div className="masterloadingerror"><p>اتصال به پایگاه داده با خطا مواجه شد.<br/>لطفا پس از لحظاتی مجددا امتحان کنید.</p></div>
      {/* <div className="masterloadinginner">
        <img src="/img/logo-full.svg" draggable="false"/>
        <span className="masterloadingspan"></span>
      </div> */}
      <div className="masterloadinginner">
        <img draggable="false" src="/img/logo-v2-icon.svg"/>
        <img draggable="false" src="/img/logo-v2-type.svg"/>
      </div>
    </div>
    <div className="fullmenu">
      <div className="fullmenuList">
        <div className="fullmenuLink">صفحه نخست</div>
        <div className="fullmenuLink">صرافی ارز دیجیتال</div>
        <div className="fullmenuLink">آموزش ارز دیجیتال</div>
        <div className="fullmenuLink">اخبار ارز دیجیتال</div>
        <div className="fullmenuLink">درباره شیفت</div>
        <div className="fullmenuLink fullmenuLink-close"><img src="/img/icon-close-square.svg"/><span>بستن</span></div>
      </div>
      <div className="fullmenuCloser"></div>
    </div>
    </>
  )
}

export default Master