import Head from 'next/head'
import React, { Component, useEffect, useState } from 'react';
import Link from 'next/link';
export default function Slider() {
    const [pointer, setPointer] = useState([0,0]);
    const [timer, setTimer] = useState(0);
    const [toggle, setToggle] = useState(true);
    const [active, setActive] = useState(1);
    const total = 8
    const autonext = 4
    const mouseMove = (e) => {
        let rect = e.currentTarget.getBoundingClientRect();
        let x = e.clientX - rect.left;
        let y = e.clientY - rect.top;
        x=(x/5)-200;y=(y/2)-100;
        setPointer([x,y])
    }
    const mouseEnter = (e) => {
        setToggle(false)
    }
    const mouseLeave = (e) => {
        setToggle(true)
    }
    const prev = (e) => {
        if(active<=1){setActive(total)}else{setActive(active-1)}
        setTimer(0);
    }
    const next = (e) => {
        if(active>=total){setActive(1)}else{setActive(active+1)}
        setTimer(0);
    }
    useEffect(() => {
        let counter;
        if (toggle) {
          counter = setInterval(() => {
              if(timer>=(autonext-1)){
                if(active>=total){setActive(1)}else{setActive(active+1)}
                setTimer(0);
              }else{ setTimer(timer => timer + 1) }
          }, 1000);
        }
        return () => {
          clearInterval(counter);
        };
    }, [toggle,setTimer,timer,setActive,active]);
    return (<div className="masterKaar" onMouseEnter={mouseEnter} onMouseLeave={mouseLeave} onMouseMove={mouseMove}>
        <div className={`masterKaarSlide${active==1 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-btc.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-btc.svg"/><span>بیتکوین</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_BTC" className="masterBtn masterBtn-btc">خرید بیتکوین</a>
                <Link href="/currencies/btc"><a className="masterBtn">بررسی بیتکوین</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==2 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-eth.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-eth.svg"/><span>اتریوم</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_ETH" className="masterBtn masterBtn-eth">خرید اتریوم</a>
                <Link href="/currencies/eth"><a className="masterBtn">بررسی اتریوم</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==3 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-bnb.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-bnb.svg"/><span>بی ان بی</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_BNB" className="masterBtn masterBtn-bnb">خرید بی ان بی</a>
                <Link href="/currencies/bnb"><a className="masterBtn">بررسی بی ان بی</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==4 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-xrp.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-xrp.svg"/><span>ریپل</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_XRP" className="masterBtn masterBtn-xrp">خرید ریپل</a>
                <Link href="/currencies/xrp"><a className="masterBtn">بررسی ریپل</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==5 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-doge.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-doge.svg"/><span>دوج کوین</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_DOGE" className="masterBtn masterBtn-doge">خرید دوج کوین</a>
                <Link href="/currencies/doge"><a className="masterBtn">بررسی دوج کوین</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==6 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-ada.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-ada.svg"/><span>کاردانو</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_ADA" className="masterBtn masterBtn-ada">خرید کاردانو</a>
                <Link href="/currencies/ada"><a className="masterBtn">بررسی کاردانو</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==7 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-dot.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-dot.svg"/><span>پولکادات</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_DOT" className="masterBtn masterBtn-dot">خرید پولکادات</a>
                <Link href="/currencies/dot"><a className="masterBtn">بررسی پولکادات</a></Link>
            </div>
        </div>
        <div className={`masterKaarSlide${active==8 ? ' active' : ''}`}>
            <img className="masterKaarWall" style={{'transform':'translate('+pointer[0]+'px,'+pointer[1]+'px)'}} draggable="false" src="/img/coin-sol.svg"/>
            <h1><b>شیفت،</b> پلتفرم جامع ارز های دیجیتال</h1>
            <div className="cryptoslider">راحت و مطمئن بر روی <div className="cryptoslidercoin"><img src="/img/coin-sol.svg"/><span>سولانا</span></div> سرمایه گذاری کنید:</div>
            <div className="masterBtns">
                <a href="https://exchange.shift.ir/dashboard/buy_SOL" className="masterBtn masterBtn-sol">خرید سولانا</a>
                <Link href="/currencies/sol"><a className="masterBtn">بررسی سولانا</a></Link>
            </div>
        </div>
        <div className="masterKaar-arrow masterKaar-prev" onClick={prev}></div>
        <div className="masterKaar-arrow masterKaar-next" onClick={next}></div>
        <div className="masterKaar-timer">{autonext-timer}</div>
    </div>);
}