import '../styles/globals.scss'
import { useEffect, useState } from 'react'
import Layout from '../components/Master'
import Router, { useRouter } from 'next/router'
import { marketAPI, initAPI } from '../lib/data'
import Axios from '../lib/axios'
import Cookies from 'universal-cookie';
const CryptoJS = require("crypto-js");
const cookies = new Cookies();
const userDataRaw = cookies.get('shift.irPanelUserData');

const APPLICATION = ({ Component, pageProps, props }) => {
  const [auth,setAuth] = useState(false)
  const [loading,setprogress] = useState(7)
  // const [market, setMarket] = useState(false)
  const doprogress = (od) => {
    setprogress(od)
    if(typeof document !== 'undefined'){
      if(od){
        document.querySelector("html").classList.add("loading")
        document.querySelector("html").classList.remove("loaded")
      }else{
        // setInterval(()=>{
          document.querySelector("html").classList.remove("loading","lightloading")
          document.querySelector("html").classList.add("loaded")  
        // },2000)
      }
    }
  }
  const networkfail = () => {
    document.querySelector("html").classList.add("network-fail")
  }
  const marketprem=props.market
  const status=props.status
  useEffect(()=>{
    Router.events.on('routeChangeStart', url => doprogress(true))
    Router.events.on('routeChangeComplete', () => doprogress(false))
    Router.events.on('routeChangeError', (e) => {doprogress(false);console.log('error 405 o_o',e)})
    if(loading==7){ setTimeout(()=>{ doprogress(false) },1000) }
    !function(){var i="kKuFFR",a=window,d=document;function g(){var g=d.createElement("script"),s="https://www.goftino.com/widget/"+i,l=localStorage.getItem("goftino_"+i);g.async=!0,g.src=l?s+"?o="+l:s;d.getElementsByTagName("head")[0].appendChild(g);}"complete"===d.readyState?g():a.attachEvent?a.attachEvent("onload",g):a.addEventListener("load",g,!1);}();
    if(!marketprem){ networkfail() }
    setAuth(userDataRaw)
    return () => {
      Router.events.off('routeChangeStart', () => doprogress(true))
      Router.events.off('routeChangeComplete', () => doprogress(false))
      Router.events.off('routeChangeError', (e) => {doprogress(false);console.log('error 405 o_o',e)})
    }
  },[doprogress,setAuth,userDataRaw,networkfail,marketprem,doprogress,loading])
  const REDIRECT = async (url) => {
    if(!loading){
    doprogress(true)
    await Router.push(url)
    }
  }
  const [results, setResults] = useState(false)
  const [search, setSearch] = useState('')
  const [title, setTitle] = useState('')
  const [sort, setSystemSort] = useState('default')
  const [market, setMarket] = useState(marketprem)
  const setSort = (sort,callback=()=>{}) => {
    let marketbloob=marketprem
    if(sort=='default'){
      marketbloob=marketprem.sort((a, b) => parseFloat(b.marketcap) - parseFloat(a.marketcap));
    }else if(sort=='pricey'){
      marketbloob=marketprem.sort((a, b) => parseFloat(b.usd) - parseFloat(a.usd));
    }else if(sort=='gainers'){
      marketbloob=marketprem.sort((a, b) => parseFloat(b['1w'].replace('%','')) - parseFloat(a['1w'].replace('%','')));
    }else if(sort=='losers'){
      marketbloob=marketprem.sort((a, b) => parseFloat(a['1w'].replace('%','')) - parseFloat(b['1w'].replace('%','')));      
    }
    setMarket(marketbloob)
    setSystemSort(sort)
    callback()
  }
  // const cookies = new Cookies();
  // const userDataRaw = cookies.get('shift.irPanelUserData');
  // const userData = userDataRaw ? userDataRaw : false
  const { config,locale } = props
  return (
    <Layout auth={auth} loading={loading} setResults={setResults} setSearch={setSearch} setSort={setSort} setTitle={setTitle} title={title} sort={sort} search={search} results={results} status={status} market={market} config={config} locale={locale}>
    <Component auth={auth} redirect={REDIRECT} setResults={setResults} setSearch={setSearch} setSort={setSort} setTitle={setTitle} title={title} sort={sort} search={search} results={results} status={status} market={market} {...props} {...pageProps}></Component>
    </Layout>
  )
}

APPLICATION.getInitialProps = async ({ Component, ctx, router }) => {
  // console.log('ss');
  let market=false,status=false;
  const salt = Date.now()
  const token = CryptoJS.MD5(salt+'313').toString();
  const call = await marketAPI(salt,token);
  if(!call.error){
    status = call.status
    market = call.market
  }
  // const response = await call.json()
  // const salt = Date.now()
    // const token = CryptoJS.MD5(salt+'313').toString();
    // marketAPI(salt,token).then((data)=>{
    //   console.log(data)
    //   if(!data.error){ setMarket(data.market) }
    // })
  const config={
    masterTitle:' — شیفت'
  };
  return {
    props: {
      config,
      market,
      status,
      locale:router.locale
    }
  }
}

export default APPLICATION
