import Head from 'next/head'
import Image from 'next/image'
import { coinAPI } from '../../lib/data'
import Currency from '../../components/Currency';
import { useEffect } from 'react';

export default function hiCurrencies({config,setTitle,data,...pageProps}) {
  useEffect(()=>{
    setTitle(data.namepersian)
  },[data])
  // console.log(data)
  return (
    <>
      <Head>
        <title>{`بررسی رمزارز ${data.namepersian}`}</title>
        <meta name="description" content={data.description} />
        <meta property="og:title" content={data.namepersian} />
        <meta property="og:description" content={data.description} />
      </Head>
      <Currency config={config} data={data} {...pageProps} />
    </>
  )
}

export async function getServerSideProps(context) {
  const {id}=context.params
  const call = await coinAPI(id);
  if(call.error){
    return {
      redirect: {
        permanent: false,
        destination: "/404",
      },
      props:{},
    };
  }
  const data = call.data
  const config=false;
  return {
    props: {
      config,
      data
    }
  }
  
  // const Biggie = (string) => {
  //     return string[0].toUpperCase() + string.slice(1).toLowerCase();
  // }
  // const {url}=context.query
  // try {
  //     let loca='';
  //     if(context.locale!='fa'){ loca=Biggie(context.locale) }
  //     let categorie = await sql_query(`
  //         SELECT title${loca} as title,nav${loca} as nav,img,url,priority,id,created_at FROM blogcats
  //         WHERE url='${url}'
  //     `);
  //     categorie = JSON.parse(JSON.stringify(categorie))[0]
  //     if(typeof categorie==='undefined'){
  //         return {
  //             redirect: {
  //                 destination: `${context.locale!='fa' ? '/'+context.locale : ''}/404`,
  //             },
  //         };
  //     }
  //     let blog = await sql_query(`
  //         SELECT title${loca} as title,description${loca} as description,content${loca} as content,type,audio,video,img,cat,views,duration,url,id,created_at FROM blog
  //         WHERE title${loca}!='' AND FIND_IN_SET('${categorie.id}', cat)
  //         ORDER BY id DESC
  //     `);
  //     blog=JSON.parse(JSON.stringify(blog))
  //     let categoriesAll = await sql_query(`
  //         SELECT title${loca} as title,nav${loca} as nav,img,url,priority,id,created_at FROM blogcats
  //         ORDER BY priority ASC
  //     `);
  //     let categoriesNav = await sql_query(`
  //         SELECT DISTINCT(nav${loca}) FROM blogcats
  //         ORDER BY priority ASC    
  //     `);
  //     categoriesNav = JSON.parse(JSON.stringify(categoriesNav))
  //     categoriesAll = JSON.parse(JSON.stringify(categoriesAll))
  //     let blogcategories={};
  //     categoriesNav.forEach(categoriesN => {
  //         categoriesN=categoriesN['nav'+loca]
  //         blogcategories[categoriesN]=[]
  //         categoriesAll.forEach(categoriesA=>{
  //             if(categoriesA['nav']==categoriesN){
  //                 blogcategories[categoriesN].push(categoriesA)
  //             }
  //         })
  //     });
  //     return {props:{blogcategories,categorie,blog}}
  // } catch (e) {
  //     console.log(e,'is error')
  //     return {
  //         props:{categorie: false, blog: false,url}
  //     }
  // }
}