import Head from 'next/head'
import Image from 'next/image'
import { useRouter } from 'next/router';
import { useEffect } from 'react';
import News from '../../../components/News';
import { newsAPI } from '../../../lib/data'


export default function hiNews({config,setTitle,...pageProps}) {
  const router=useRouter()
  const selectedcategory=router.query.id;
  let title=selectedcategory.replace(/-/g,' ')
  if(title.includes('رمزارز ')){
    title=title.replace('رمزارز ','')
  }
  useEffect(()=>{
    setTitle(title)
  },[title])
  return (
    <>
      <Head>
        <title>{`اخبار ${title}${config.masterTitle}`}</title>
        <meta name="description" content={config.indexDescripion} />
        <meta property="og:title" content={config.indexTitle} />
        <meta property="og:description" content={config.indexDescripion} />
      </Head>
      <News selectedcategory={selectedcategory} config={config} {...pageProps} />
    </>
  )
}


export async function getServerSideProps(context) {
  try {
      const call = await newsAPI(1,20,true,context.params.id);
      if(call.data.length==0){
        return {
          redirect: {
            permanent: false,
            destination: "/404",
          },
          props:{},
        };
      }
      return {
          props:{news:call.data,categories:call.categories,coincategories:call.coincategories}
      } 
  } catch (e) {
      return {
          props:{news: [],categories:false}
      }
  }
}