import Head from 'next/head'
import Image from 'next/image'
import { useRouter } from 'next/router';
import News from '../../components/News';
import { newsAPI } from '../../lib/data'


export default function hiNews({config,...pageProps}) {
  return (
    <>
      <Head>
        <title>{`اخبار ارز دیجیتال${config.masterTitle}`}</title>
        <meta name="description" content={config.indexDescripion} />
        <meta property="og:title" content={config.indexTitle} />
        <meta property="og:description" content={config.indexDescripion} />
      </Head>
      <News selectedcategory={''} config={config} {...pageProps} />
    </>
  )
}


export async function getServerSideProps(context) {
  try {
      const call = await newsAPI(1,20,true);
      return {
          props:{news:call.data,categories:call.categories,coincategories:call.coincategories}
      } 
  } catch (e) {
      return {
          props:{news: [],categories:false}
      }
  }
}